package jp.ogakisoft.quiz.client;

import com.google.gwt.user.client.rpc.IsSerializable;

public class QuizCardPOJ implements IsSerializable {
	private static final long serialVersionUID = -5574138033604758664L;
	private String kind;
	private String point;
	private String question;
	private String answer;
	private String[] choose;

	public String getKind() {
		return kind;
	}

	public void setKind(String kind) {
		this.kind = kind;
	}

	public String getPoint() {
		return point;
	}

	public void setPoint(String point) {
		this.point = point;
	}

	public String getQuestion() {
		return question;
	}

	public void setQuestion(String question) {
		this.question = question;
	}

	public String getAnswer() {
		return answer;
	}

	public void setAnswer(String answer) {
		this.answer = answer;
	}

	public String[] getChoose() {
		return choose;
	}

	public void setChoose(String[] choose) {
		this.choose = choose;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("QuizCardPOJ ");
		builder.append("[ kind=");
		builder.append(kind);
		builder.append(", point=");
		builder.append(point);
		builder.append(", question=");
		builder.append(question);
		builder.append(", answer=");
		builder.append(answer);
		builder.append(", choose=[");
		for (String s : choose) {
			builder.append(s + ",");
		}
		builder.append("]]");
		return builder.toString();
	}
}
